{include file='modules/servers/puqBusinessVPN/templates/header.tpl'}
<h2>{$vpn->lang['Management VPN account']}</h2>
    <div class="row">
        <div class="col-md-12">
            <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
                <tr>
                    <form method="post" action="/clientarea.php?action=productdetails&id={$vpn->service_id}">
                        <input type="hidden" name="username" value="{$user['name']}" readonly>
                        <td><button onclick="return DeleteVpnAccount();" type="submit" class="btn btn-danger" name="delete_vpn_account" value="delete_vpn_account"><i class="fa fa-times">&nbsp;&nbsp;</i>{$vpn->lang['Delete']}</button></td>
                    </form>

                    <form method="post" action="/clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$user['name']}">
                    <td><button onclick="return EditVpnAccount();" type="submit" class="btn btn-success" name="edit_vpn_account" value="edit_vpn_account"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Save']}</button></td>
                </tr>
                <tr>
                    <td><b>{$vpn->lang['Username']}:</b></td>
                    <td><input id="username" type="text" name="username" class="form-control" value="{$user['name']}" readonly></td>
                </tr>
                <tr>
                    <td><b>{$vpn->lang['IP address']}:</b></td>
                    <td>
                        <select id="ip_address" name="ip_address" class="form-control custom-select">
                            <option value="{$user['allowed_IPs']}" selected>{$user['allowed_IPs']}</option>
                            {foreach from=$vpn->service_private_ip_range key=key item=value}
                                {if $key ne '0'}
                                    <option value="{$value}">{$value}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><b>{$vpn->lang['Enabled']}:</b></td>
                    <td>
                        {if $user['status'] ne 'enable'}
                            <input type="checkbox" name="status" value="disable">
                        {else}
                            <input type="checkbox" name="status" value="enable" checked="checked">
                        {/if}
                    </td>
                </tr>
                {if $vpn->package_options_link_to_vpn_clients ne ""}
                    <tr>
                        <td colspan="2"><h3> <a href="{$vpn->package_options_link_to_vpn_clients}" target="_blank">{$vpn->lang['Download VPN client']}</a></h3></td>
                    </tr>
                {/if}
            </table>
        </div>
    </div>
</form>
<div class="row">
    <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
        <tr>
            <td><a class="btn btn-success" id="todownload"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD CONFIG']}</a></td>
            <td>
                <form method="post" action="/clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$user['name']}">
                    <button onclick="return loading();" type="submit" class="btn btn-success" name="create_otl" value="create_otl"><i class="fa fa-thumbs-up">&nbsp;&nbsp;</i>{$vpn->lang['Create one-time link']}</button>
                </form>
            </td>
        </tr>
        {if $otl ne ""}
            <tr>
                <td colspan="2">
                    <input type="text" value="{$otl}" id="OneTimeLink" style="width: calc(99% - 110px);">
                    <button class="btn btn-success" onclick="copyURL()"><i class="fa fa-clone">&nbsp;&nbsp;</i>{$vpn->lang['Copy']}</button>
                    <script>
                        function copyURL() {
                            var copyText = document.getElementById("OneTimeLink");
                            copyText.select();
                            document.execCommand("copy");
                            alert("Copied the text: " + copyText.value);
                        }
                    </script>
                </td>
            </tr>
        {/if}
        <tr>
            <td colspan="2"><img style="width:100%; max-width:500px;" src="data:image/png;base64,{$config_qr}"></td>
        </tr>
        <tr style="text-align: left;">
            <td colspan="2"><pre>{$config_text}</pre></td>
        </tr>
    </table>
</div>
<script type="text/javascript">
    function DeleteVpnAccount() {
        var username = document.getElementById('username').value;
        if(username === ''){
            return true;
        }
        result = confirm('{$kvm->lang['Are you sure?']}');
        if (result) {
            loading();
            return true
        }else {
            return false;
        }
    }

    function EditVpnAccount() {
        var username = document.getElementById('username').value;
        var ip_address = document.getElementById('ip_address').value;

        if(username === '' || password === '' || ip_address === ''){
            return true
        }else{
            loading();
            return true
        }
    }
</script>
<script>
    document.getElementById('todownload').onclick = function() {
        let text = `{$config_text|trim}`;
        let myData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(text);
        this.href = myData;
        this.download = 'wg0.conf';
    }
</script>